Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface IReportEventHandler

All Known Implementing Classes:
  `ReportEventAdapter`

public interface IReportEventHandler
Script event handler interface for a report

## Method Summary

Modifier and Type
Method
Description
`void`
`afterFactory(IReportContext reportContext)`
Handle the afterFactory event
`void`
`afterRender(IReportContext reportContext)`
Handle the afterRender event
`void`
`beforeFactory(IReportDesign report, IReportContext reportContext)`
Handle the beforeFactory event
`void`
`beforeRender(IReportContext reportContext)`
Handle the beforeRender event
`void`
`initialize(IReportContext reportContext)`
Handle the initialize event
`void`
`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event
`void`
`onPrepare(IReportContext reportContext)`
Handle the onPrepare event

## Method Details

### initialize

void initialize(IReportContext reportContext) throws ScriptException
Handle the initialize event

Throws:
  `ScriptException`

### beforeFactory

void beforeFactory(IReportDesign report, IReportContext reportContext) throws ScriptException
Handle the beforeFactory event

Throws:
  `ScriptException`

### afterFactory

void afterFactory(IReportContext reportContext) throws ScriptException
Handle the afterFactory event

Throws:
  `ScriptException`

### beforeRender

void beforeRender(IReportContext reportContext) throws ScriptException
Handle the beforeRender event

Throws:
  `ScriptException`

### afterRender

void afterRender(IReportContext reportContext) throws ScriptException
Handle the afterRender event

Throws:
  `ScriptException`

### onPrepare

void onPrepare(IReportContext reportContext) throws ScriptException
Handle the onPrepare event

Throws:
  `ScriptException`

### onPageStart

void onPageStart(IPageInstance page, IReportContext reportContext) throws ScriptException
Handle the onPageStart event

Throws:
  `ScriptException`

### onPageEnd

void onPageEnd(IPageInstance page, IReportContext reportContext) throws ScriptException
Handle the onPageEnd event

Throws:
  `ScriptException`